Get a transaction
curl --request GET \
--url https://app.payemcard.com/api/partner/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"card_id": "<string>",
"merchant": {
"name": "<string>",
"descriptor": "<string>",
"mcc": {
"code": "<string>",
"card_network": "<string>"
}
},
"amount": {
"usd": 123,
"original": {}
},
"status": "<string>",
"decline_info": {
"decline_code": "<string>",
"decline_reason": "<string>"
},
"receipt": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}transactions
Get a transaction
GET
/
api
/
partner
/
v1
/
transactions
/
{id}
Get a transaction
curl --request GET \
--url https://app.payemcard.com/api/partner/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.payemcard.com/api/partner/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.payemcard.com/api/partner/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"card_id": "<string>",
"merchant": {
"name": "<string>",
"descriptor": "<string>",
"mcc": {
"code": "<string>",
"card_network": "<string>"
}
},
"amount": {
"usd": 123,
"original": {}
},
"status": "<string>",
"decline_info": {
"decline_code": "<string>",
"decline_reason": "<string>"
},
"receipt": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Short-lived OAuth 2.0 access token. Tokens expire after five minutes.
Path Parameters
Response
200 - application/json
